# Uses of Class
com.google.testing.compile.JavaFileObjectSubject

## Uses of JavaFileObjectSubject in com.google.testing.compile

Subclasses with type arguments of type JavaFileObjectSubject in com.google.testing.compile
Modifier and Type
Class
Description
`final class`
`JavaFileObjectSubject`
Assertions about `JavaFileObject`s.
Methods in com.google.testing.compile that return JavaFileObjectSubject
Modifier and Type
Method
Description
`static JavaFileObjectSubject`
JavaFileObjectSubject.`assertThat(@Nullable JavaFileObject actual)`
Starts making assertions about a `JavaFileObject`.
`JavaFileObjectSubject`
CompilationSubject.`generatedFile(JavaFileManager.Location location, String path)`
Asserts that compilation generated a file at `path`.
`JavaFileObjectSubject`
CompilationSubject.`generatedFile(JavaFileManager.Location location, String packageName, String fileName)`
Asserts that compilation generated a file named `fileName` in package `packageName`.
`JavaFileObjectSubject`
CompilationSubject.`generatedSourceFile(String qualifiedName)`
Asserts that compilation generated a source file for a type with a given qualified name.
Methods in com.google.testing.compile that return types with arguments of type JavaFileObjectSubject
Modifier and Type
Method
Description
`static com.google.common.truth.Subject.Factory<JavaFileObjectSubject, JavaFileObject>`
JavaFileObjectSubject.`javaFileObjects()`
Returns a `Subject.Factory` for `JavaFileObjectSubject`s.